Package org.drinkless.tdlib

# Class TdApi.GetPhoneNumberInfoSync

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PhoneNumberInfo>
org.drinkless.tdlib.TdApi.GetPhoneNumberInfoSync

Enclosing class:
  `TdApi`

public static class TdApi.GetPhoneNumberInfoSync extends TdApi.Function<TdApi.PhoneNumberInfo>
Returns information about a phone number by its prefix synchronously. getCountries must be called at least once after changing localization to the specified language if properly localized country information is expected. Can be called synchronously.

Returns `PhoneNumberInfo`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `languageCode`
  A two-letter ISO 639-1 language code for country information localization.
  `String`
  `phoneNumberPrefix`
  The phone number prefix.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetPhoneNumberInfoSync()`
  Default constructor for a function, which returns information about a phone number by its prefix synchronously.
  `GetPhoneNumberInfoSync(String languageCode, String phoneNumberPrefix)`
  Creates a function, which returns information about a phone number by its prefix synchronously.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### languageCode

    public String languageCode
    A two-letter ISO 639-1 language code for country information localization.

  - ### phoneNumberPrefix

    public String phoneNumberPrefix
    The phone number prefix.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetPhoneNumberInfoSync

    public GetPhoneNumberInfoSync()
    Default constructor for a function, which returns information about a phone number by its prefix synchronously. getCountries must be called at least once after changing localization to the specified language if properly localized country information is expected. Can be called synchronously.

    Returns `PhoneNumberInfo`

  - ### GetPhoneNumberInfoSync

    public GetPhoneNumberInfoSync(String languageCode, String phoneNumberPrefix)
    Creates a function, which returns information about a phone number by its prefix synchronously. getCountries must be called at least once after changing localization to the specified language if properly localized country information is expected. Can be called synchronously.

    Returns `PhoneNumberInfo`

    Parameters:
      `languageCode` - A two-letter ISO 639-1 language code for country information localization.
      `phoneNumberPrefix` - The phone number prefix.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PhoneNumberInfo>`
    Returns:
      this.CONSTRUCTOR